%{?scl:%scl_package cfme-amazon-smartstate}
%{!?scl:%global pkg_name %{name}}

%global app_name amazon-smartstate
%global app_dir  /opt/rh/%{app_name}/
%global __brp_mangle_shebangs_exclude_from /test/|/bundler/templates/Executable

Summary: Amazon SmartState Client
Name: cfme-amazon-smartstate
Version: 5.11.0.28
Release: 1%{?dist}
License: Unknown
URL: https://github.com/ManageIQ/container-amazon-smartstate
Source0: %{name}-%{version}.tar.gz
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}rubygem-bundler
BuildRequires: %{?scl_prefix}rubygems-devel

Requires: %{?scl_prefix}rubygem-ffi = 1.9.25
Requires: %{?scl_prefix}rubygem-json = 2.1.0
Requires: %{?scl_prefix}rubygem-linux_block_device = 0.2.1
Requires: %{?scl_prefix}rubygem-memory_buffer = 0.1.0
Requires: %{?scl_prefix}rubygem-nokogiri = 1.8.5
Requires: %{?scl_prefix}rubygem-unf_ext = 0.0.7.6

%description
Amazon SmartState Client

%prep
%setup -q

%install
%{__mkdir} -p %{buildroot}%{app_dir}
%{__cp} -r . %{buildroot}%{app_dir}

%files
%defattr(-,root,root,-)
%{app_dir}

%changelog
* Tue Nov 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.28-1
- 5.11.0.28-1 build

* Tue Oct 01 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.27-1
- 5.11.0.27-1 build

* Tue Sep 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.26-1
- 5.11.0.26-1 build

* Wed Sep 04 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.23-1
- 5.11.0.23-1 build

* Tue Aug 27 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.22-1
- 5.11.0.22-1 build

* Wed Aug 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.21-1
- 5.11.0.21-1 build

* Tue Aug 20 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.20-1
- 5.11.0.20-1 build

* Tue Aug 13 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.19-1
- 5.11.0.19-1 build

* Tue Aug 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.18-1
- 5.11.0.18-1 build

* Tue Jul 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.17-1
- 5.11.0.17-1 build

* Wed Jul 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.16-1
- 5.11.0.16-1 build

* Thu Jul 18 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.15-1
- 5.11.0.15-1 build

* Wed Jul 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.14-1
- 5.11.0.14-1 build

* Fri Jul 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.13-1
- 5.11.0.13-1 build

* Wed Jul 03 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.12-1
- 5.11.0.12-1 build

* Tue Jun 25 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.11-1
- 5.11.0.11-1 build

* Wed Jun 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.11.0.10-1
- 5.11.0.10-1 build
